package com.xlht.xlhtproject.service;

import java.util.List;
import com.xlht.xlhtproject.domain.TTbDu;

/**
 * 同步数据组态读Service接口
 * 
 * @author slibra
 * @date 2024-09-19
 */
public interface ITTbDuService 
{
    /**
     * 查询同步数据组态读
     * 
     * @param ID 同步数据组态读主键
     * @return 同步数据组态读
     */
    public TTbDu selectTTbDuByID(Long ID);

    /**
     * 查询同步数据组态读列表
     * 
     * @param tTbDu 同步数据组态读
     * @return 同步数据组态读集合
     */
    public List<TTbDu> selectTTbDuList(TTbDu tTbDu);

    /**
     * 新增同步数据组态读
     * 
     * @param tTbDu 同步数据组态读
     * @return 结果
     */
    public int insertTTbDu(TTbDu tTbDu);

    /**
     * 修改同步数据组态读
     * 
     * @param tTbDu 同步数据组态读
     * @return 结果
     */
    public int updateTTbDu(TTbDu tTbDu);

    /**
     * 批量删除同步数据组态读
     * 
     * @param IDs 需要删除的同步数据组态读主键集合
     * @return 结果
     */
    public int deleteTTbDuByIDs(Long[] IDs);

    /**
     * 删除同步数据组态读信息
     * 
     * @param ID 同步数据组态读主键
     * @return 结果
     */
    public int deleteTTbDuByID(Long ID);
}
